%define upstreamname xfmedia

Name: xfce4-%upstreamname
Summary: Lightweight media player using xine for Xfce4
Version: 0.9.2
Release: alt1.M41.1
License: GPL
Url: http://spuriousinterrupt.org/projects/xfmedia
Source: http://spuriousinterrupt.org/files/xfmedia/%upstreamname-%version.tar.bz2
Source1: %upstreamname.watch

Group: Graphical desktop/XFce
Packager: Georgy Kirik <kga@altlinux.ru>

BuildPreReq: xfce4-dev-tools intltool

# Automatically added by buildreq on Sat Jan 05 2008
BuildRequires: docbook-style-xsl gcc-c++ imake libSM-devel libXScrnSaver-devel libXtst-devel libdbus-glib-devel libstartup-notification-devel libtag-devel libxine-devel subversion xorg-cf-files xsltproc
BuildRequires: libxfcegui4-devel >= 4.4.3, libexo-devel >= 0.3.92

%description
Xfmedia is a lightweight media player GUI using GTK+, based on the xine engine,
using the core Xfce 4 libraries.  It is written by Brian Tarricone and
released under the terms of the GNU General Public License, version 2.

%package devel
Summary: development files for Xfmdedia
Group: Development/C
%description devel
%summary

%prep
%setup -n %upstreamname-%version

%build
intltoolize --force
libtoolize --force --copy
aclocal -I /usr/share/xfce4/dev-tools/m4macros/
automake -a -c -f
autoconf
%configure  \
	--enable-dbus \
	--enable-startup-notification \
	--enable-exo
%make_build

%install
%make_install install DESTDIR=%buildroot
%find_lang %upstreamname

%post
/usr/bin/gtk-update-icon-cache
%postun
/usr/bin/gtk-update-icon-cache

%files -f %upstreamname.lang
%doc README TODO ChangeLog NEWS INSTALL COPYING AUTHORS
%_bindir/*
%_iconsdir/*/*/*/*
%dir %_sysconfdir/xdg/%upstreamname
%_sysconfdir/xdg/%upstreamname/*.rc
%dir %_datadir/%upstreamname
%_datadir/%upstreamname/*
%_desktopdir/*.desktop

%files devel
%_includedir/*
%dir %_libdir/%upstreamname
%dir %_libdir/%upstreamname/plugins
%_libdir/%upstreamname/plugins/*.so
%exclude %_libdir/%upstreamname/plugins/*.*a
%_pkgconfigdir/*.pc

%changelog
* Tue Jan 14 2009 George Kirik <kga@altlinux.org> 0.9.2-alt1.M41.1
- only rebuild with xfce-4.4.3 for branch 4.1

* Sat Jan 05 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.9.2-alt1
- first build for Sisyphus

